<div>
  <h2 id="page-heading" data-cy="ProduitHeading">
    <span jhiTranslate="blogApp.produit.home.title">Produits</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span jhiTranslate="blogApp.produit.home.refreshListLabel">Actualiser la liste</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-produit"
        [routerLink]="['/produit/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span jhiTranslate="blogApp.produit.home.createLabel"> Créer un nouveau Produit </span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="produits?.length === 0">
    <span jhiTranslate="blogApp.produit.home.notFound">Aucun Produit trouvé</span>
  </div>

  <div class="table-responsive table-entities" id="entities" *ngIf="produits && produits.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
          <th scope="col" jhiSortBy="id">
            <div class="d-flex">
              <span jhiTranslate="blogApp.produit.id">Id</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="intitule">
            <div class="d-flex">
              <span jhiTranslate="blogApp.produit.intitule">Intitule</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="prix">
            <div class="d-flex">
              <span jhiTranslate="blogApp.produit.prix">Prix</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="boutique.id">
            <div class="d-flex">
              <span jhiTranslate="blogApp.produit.boutique">Boutique</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let produit of produits; trackBy: trackId" data-cy="entityTable">
          <td>
            <a [routerLink]="['/produit', produit.id, 'view']">{{ produit.id }}</a>
          </td>
          <td>{{ produit.intitule }}</td>
          <td>{{ produit.prix }}</td>
          <td>
            <div *ngIf="produit.boutique">
              <a [routerLink]="['/boutique', produit.boutique.id, 'view']">{{ produit.boutique.id }}</a>
            </div>
          </td>
          <td class="text-end">
            <div class="btn-group">
              <button
                type="submit"
                [routerLink]="['/produit', produit.id, 'view']"
                class="btn btn-info btn-sm"
                data-cy="entityDetailsButton"
              >
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">Voir</span>
              </button>

              <button
                type="submit"
                [routerLink]="['/produit', produit.id, 'edit']"
                class="btn btn-primary btn-sm"
                data-cy="entityEditButton"
              >
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Editer</span>
              </button>

              <button type="submit" (click)="delete(produit)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Supprimer</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
